import * as anchor from "@project-serum/anchor";
import { ValidateKycData, Gender } from "../types";
import { ProviderClient } from "../clients/provider-client";
export declare function keypairFromJson(secretKey: number[]): anchor.web3.Keypair;
export declare const stringToBytes32: (str: string | null) => number[];
export declare const validateAndHashKycParams: (client: ProviderClient, salt: string, name: string, documentId: string, country: string, dob: Date, doe: Date | null, gender: Gender | null) => ValidateKycData;
